import { ID7CheckItem } from '@/pages/D_storeManage/D7check/types'

// 初始化状态
const initState = {
  // 列表数据
  tableInfo: {
    list: [] as ID7CheckItem[],
    total: 0
  }
}

// 定义 action 类型
type Props = {
  type: 'D7/getList'
  payload: { list: ID7CheckItem[]; total: number }
}

// reducer
export default function userReducer(state = initState, action: Props) {
  switch (action.type) {
    // 获取列表数据
    case 'D7/getList':
      return { ...state, tableInfo: action.payload }

    default:
      return state
  }
}
